Function parameter

SYNOPSIS

pi_id | pi_parameter(pi_data *);

PARAMETER

pi_data.from: | start parameter name
pi_data.to: | end parameter name
pi_data.name: | parameter name
pi_data.flags: | PI_DEFAULT_VAL
pi_data.type: | parameter type
pi_data.related: | pi_id of function definition/declaration or reference Default: previous function definition/declaration or reference

DESCRIPTION
This function must be called whenever the parser detects a function parameter in the source file. The call of pi_function() must immediately be followed by calls of pi_parameter() . The pi_comment() , pi_error_msg() and pi_reset() functions are the only ones which may be called between pi_function() and pi_parameter() calls. pi_function() can also be used to specify the current parameter list of a function reference (see pi_reference() below).
C/C++ example

int min(int v1, char v2) | // v1 and v2 are the function // parameters (arguments)

SNiFF+ Fuzzy Parser action

pi_data.from: | points to start of parameter name (e.g., v1 )
pi_data.to: | points to end of parameter name (e.g., v1 )
pi_data.name: | e.g., " v1 "
pi_data.type: | e.g., int

| Note
| pi_parameter must be called twice: both for v1 and v2

SNiFF+ usage
highlighted in Source Editor

| Note
| pi_data.related is not used in this version!